ListHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAResourceServer.ListHistory(ctx, operations.C1APICrossAppAccessV1XAAResourceServerServiceListHistoryRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAResourceServerServiceListHistoryResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/resource_servers/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/resource_servers/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/resource_servers/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"metadata": {
"actor": {
"userId": "<string>"
},
"annotations": [
{
"displayLabel": "<string>",
"displayUrl": "<string>",
"displayValue": "<string>",
"key": "<string>",
"rawValue": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"syslogEventId": "<string>",
"traceId": "<string>"
},
"snapshot": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"maxGrantLifetime": "<string>",
"modifyClaimsHook": {
"commitId": "<string>",
"disabled": true,
"functionId": "<string>"
},
"normalizedAudience": "<string>",
"requireProofOfPossession": true,
"resourceUris": [
"<string>"
],
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"nextPageToken": "<string>"
}Cross-App Access
List History
ListHistory returns the change history (newest first) for a single resource server — each entry is a snapshot plus who/when metadata.
GET
/
api
/
v1
/
apps
/
{app_id}
/
xaa
/
resource_servers
/
{id}
/
history
ListHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAResourceServer.ListHistory(ctx, operations.C1APICrossAppAccessV1XAAResourceServerServiceListHistoryRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAResourceServerServiceListHistoryResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application this resource server fronts.
Unique identifier for the resource server.
Query Parameters
Page size (max 200).
Page token for pagination.
Response
200 - application/json
XAAResourceServerServiceListHistoryResponse returns resource server history entries.
Was this page helpful?
⌘I